#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)

%define rel 1

Summary:        Syndication - an RSS/Atom parser library
Name:           syndication
Epoch:          1
Version: 5.76.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        http://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Widgets)

BuildRequires:  kf5-macros
BuildRequires:  cmake(KF5KIO) >= 5.12.0
BuildRequires:  cmake(KF5Codecs) >= 5.12.0

%description
Syndication - an RSS/Atom parser library.

%files
%_kf5_categoriesdir/syndication.*categories

#--------------------------------------------------------------------

%define kf5syndication_major 5
%define libkf5syndication %mklibname kf5syndication %{kf5syndication_major}

%package -n %libkf5syndication
Summary:      Syndication - an RSS/Atom parser library
Group:        System/Libraries
Requires:     %{name} >= %{epoch}:%{version}-%{release}

%description -n %libkf5syndication
Syndication - an RSS/Atom parser library.

%files -n %libkf5syndication
%_kf5_libdir/libKF5Syndication.so.%{kf5syndication_major}{,.*}

#--------------------------------------------------------------------

%define kf5syndication_devel %mklibname kf5syndication -d

%package -n %kf5syndication_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5syndication = %{epoch}:%version-%release
Provides:       %name-devel = %{epoch}:%{version}-%{release}

%description -n %kf5syndication_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5syndication_devel
%_kf5_includedir/Syndication/
%_kf5_includedir/*_version.h
%_kf5_libdir/*.so
%_kf5_libdir/cmake/KF5Syndication/
%_kf5_mkspecsdir/*.pri

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install


%changelog
* Sun Dec 06 2020 daviddavid <daviddavid> 1:5.76.0-1.mga8
+ Revision: 1653386
- New version 5.76.0

* Sun Oct 11 2020 daviddavid <daviddavid> 1:5.75.0-1.mga8
+ Revision: 1633236
- New version 5.75.0

* Mon Sep 14 2020 daviddavid <daviddavid> 1:5.74.0-1.mga8
+ Revision: 1626215
- New version 5.74.0

* Mon Aug 10 2020 daviddavid <daviddavid> 1:5.73.0-1.mga8
+ Revision: 1612872
- New version 5.73.0

* Wed Jul 08 2020 neoclust <neoclust> 1:5.72.0-1.mga8
+ Revision: 1603143
- New version 5.72.0

* Fri Jun 12 2020 neoclust <neoclust> 1:5.71.0-1.mga8
+ Revision: 1592835
- New version 5.71.0

* Sat May 09 2020 daviddavid <daviddavid> 1:5.70.0-1.mga8
+ Revision: 1582061
- New version 5.70.0

* Sun Apr 12 2020 daviddavid <daviddavid> 1:5.69.0-1.mga8
+ Revision: 1566552
- New version 5.69.0

* Mon Mar 16 2020 daviddavid <daviddavid> 1:5.68.0-1.mga8
+ Revision: 1556729
- New version 5.68.0

* Thu Feb 20 2020 umeabot <umeabot> 1:5.67.0-2.mga8
+ Revision: 1546812
- Mageia 8 Mass Rebuild

* Tue Feb 04 2020 neoclust <neoclust> 1:5.67.0-1.mga8
+ Revision: 1486865
- New version 5.67.0
+ wally <wally>
- build with new cmake macros

* Fri Dec 13 2019 neoclust <neoclust> 1:5.65.0-1.mga8
+ Revision: 1466276
- New version 5.65.0

* Mon Nov 04 2019 neoclust <neoclust> 1:5.64.0-1.mga8
+ Revision: 1457666
- New version 5.64.0

* Thu Oct 10 2019 neoclust <neoclust> 1:5.63.0-1.mga8
+ Revision: 1451041
- New version 5.63.0

* Mon Sep 23 2019 neoclust <neoclust> 1:5.62.0-1.mga8
+ Revision: 1444853
- New version 5.62.0

* Fri Jul 12 2019 neoclust <neoclust> 1:5.60.0-1.mga8
+ Revision: 1420645
- New version 5.60.0

* Mon Apr 08 2019 neoclust <neoclust> 1:5.57.0-1.mga7
+ Revision: 1386994
- New version 5.57.0

* Tue Apr 02 2019 umeabot <umeabot> 1:5.56.0-2.mga7
+ Revision: 1384930
- Qt5 Rebuild

* Tue Mar 12 2019 neoclust <neoclust> 1:5.56.0-1.mga7
+ Revision: 1374649
- New version 5.56.0

* Sat Feb 09 2019 neoclust <neoclust> 1:5.55.0-1.mga7
+ Revision: 1364583
- New version 5.55.0

* Mon Jan 14 2019 neoclust <neoclust> 1:5.54.0-1.mga7
+ Revision: 1356715
- New version 5.54.0

* Sun Dec 09 2018 neoclust <neoclust> 1:5.53.0-1.mga7
+ Revision: 1339262
- New version 5.53.0

* Fri Oct 19 2018 daviddavid <daviddavid> 1:5.51.0-1.mga7
+ Revision: 1322563
- New version: 5.51.0 (now part of kde frameworks)

* Sun Sep 23 2018 umeabot <umeabot> 18.04.1-2.mga7
+ Revision: 1301279
- Mageia 7 Mass Rebuild

* Sun May 13 2018 neoclust <neoclust> 18.04.1-1.mga7
+ Revision: 1229164
- New version 18.04.1

* Fri Feb 16 2018 neoclust <neoclust> 17.12.2-1.mga7
+ Revision: 1201995
- New version 17.12.2

* Sat Jan 20 2018 neoclust <neoclust> 17.12.1-1.mga7
+ Revision: 1195017
- New version 17.12.1

* Thu Dec 28 2017 neoclust <neoclust> 17.12.0-1.mga7
+ Revision: 1186559
- New version 17.12.0

* Thu Aug 24 2017 neoclust <neoclust> 17.08.0-1.mga7
+ Revision: 1146717
- New version 17.08.0

* Sat Aug 05 2017 neoclust <neoclust> 17.07.90-1.mga7
+ Revision: 1136957
- New version 17.07.90

* Wed Aug 02 2017 pterjan <pterjan> 17.04.3-2.mga7
+ Revision: 1134016
- Disable find_lang as there seems to be no translations
- Fix for new find_lang

* Sun Jul 16 2017 neoclust <neoclust> 17.04.3-1.mga7
+ Revision: 1123849
- New version 17.04.3

* Wed Mar 08 2017 neoclust <neoclust> 16.12.3-1.mga6
+ Revision: 1090181
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 16.12.0-1.mga6
+ Revision: 1076923
- New version 16.12.0

* Sun Dec 04 2016 neoclust <neoclust> 16.11.90-1.mga6
+ Revision: 1072113
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 16.08.3-1.mga6
+ Revision: 1067430
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 16.08.2-1.mga6
+ Revision: 1061494
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 16.08.1-1.mga6
+ Revision: 1050757
- New version 16.08.1

* Sat Aug 20 2016 neoclust <neoclust> 16.08.0-1.mga6
+ Revision: 1047410
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 16.04.3-1.mga6
+ Revision: 1040160
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 16.04.1-1.mga6
+ Revision: 1012650
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 16.04.0-1.mga6
+ Revision: 1004440
- New version 16.04.0

* Sat Apr 02 2016 neoclust <neoclust> 16.03.80-1.mga6
+ Revision: 997593
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 15.12.3-1.mga6
+ Revision: 991273
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 15.12.2-1.mga6
+ Revision: 987553
- New version 15.12.2

* Wed Jan 13 2016 neoclust <neoclust> 15.12.1-1.mga6
+ Revision: 922715
- New version 15.12.1

* Sat Dec 19 2015 neoclust <neoclust> 15.12.0-1.mga6
+ Revision: 911983
- New version 15.12.0

* Mon Nov 23 2015 neoclust <neoclust> 15.11.80-1.mga6
+ Revision: 905441
- New version 15.11.80

* Tue Nov 10 2015 neoclust <neoclust> 15.08.3-1.mga6
+ Revision: 901178
- New version 15.08.3

* Wed Oct 14 2015 neoclust <neoclust> 15.08.2-1.mga6
+ Revision: 890671
- New version 15.08.2

* Fri Sep 18 2015 neoclust <neoclust> 15.08.1-1.mga6
+ Revision: 880471
- New version 15.08.1

* Wed Aug 19 2015 neoclust <neoclust> 15.08.0-1.mga6
+ Revision: 865989
- New version 15.08.0

* Wed Aug 12 2015 neoclust <neoclust> 15.07.90-2.mga6
+ Revision: 863930
- Plasma Mass Rebuild - Rebuild for new Plasma

* Sun Aug 09 2015 neoclust <neoclust> 15.07.90-1.mga6
+ Revision: 861806
- New version 15.07.90

* Tue Jul 28 2015 neoclust <neoclust> 15.07.80-1.mga6
+ Revision: 858636
- imported package syndication

